Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.stat
Class PersistenceHelper

    java.lang.Object
      net.i2p.stat.PersistenceHelper

     class PersistenceHelper

extends Object

object orientation gives you hairy palms.

Constructor Summary
`PersistenceHelper()`

Method Summary
`static void` | `add(StringBuilder buf, String prefix, String name, String description, double value)`
`static void` | `add(StringBuilder buf, String prefix, String name, String description, long value)`
`static double` | `getDouble(Properties props, String prefix, String name)`
`static long` | `getLong(Properties props, String prefix, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper

    PersistenceHelper()

Method Detail

### add

    public static final void add(StringBuilder buf,
                                 String prefix,
                                 String name,
                                 String description,
                                 double value)

### add

    public static final void add(StringBuilder buf,
                                 String prefix,
                                 String name,
                                 String description,
                                 long value)

### getLong

    public static final long getLong(Properties props,
                                     String prefix,
                                     String name)

### getDouble

    public static final double getDouble(Properties props,
                                         String prefix,
                                         String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD